<?php

namespace Drupal\gcs_backup\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Settings form.
 */
class GcsBackupSettingsForm extends ConfigFormBase {

  /**
   * @inheritdoc
   */
  protected function getEditableConfigNames() {
    return ['gcs_backup.settings'];
  }

  /**
   * @inheritdoc
   */
  public function getFormId() {
    return 'gcs_backup_settings';
  }

  /**
   * @inheritdoc
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('gcs_backup.settings');

    $form['bucket_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('GCS Bucket Name'),
      '#default_value' => $config->get('bucket_name'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * @inheritdoc
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('gcs_backup.settings')
      ->set('bucket_name', $form_state->getValue('bucket_name'))
      ->save();

    parent::submitForm($form, $form_state);
  }
}
